// img_conv.cpp : R\[ AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"


#include <SDL.h>
#include <SDL_image.h>
#include <string.h>
#include <stdio.h> 

#pragma comment(lib, "SDL.lib")
#pragma comment(lib, "SDLmain.lib")
#pragma comment(lib, "SDL_image.lib")

#define SCREEN_WIDTH  1
#define SCREEN_HEIGHT 1
#define SCREEN_BPP    8
#define GAME_CAPTION  "img_conv"

bool Init();      // 
void End();       // I
void SetNesTable();

SDL_Surface *gScreenSurface;
SDL_Color colors[256];

int main(int argc, char* argv[])
{

	// 
	if( !Init() ){
		printf( "Ɏs܂" );
		return 0;
	}

	SetNesTable();
 	SDL_SetPalette(gScreenSurface, SDL_LOGPAL|SDL_PHYSPAL, colors, 0, 256);

	int i;
	char* str;
	for(i = 1; i < argc; i++) {
		// load sample.png into image
		SDL_Surface *image;
		image=IMG_Load(argv[i]);
		if(!image) {
			printf("IMG_Load: %s\n", IMG_GetError());
			// handle error
		}

		image = SDL_DisplayFormat(image);

		


		str = argv[i];
		while( *str != '.' && *str != '\0' ) {
			str++;
		}

		if( *str == '\0' ) {
			printf("suffix error: %s", argv[i]);
			return 1;
		}
		str++;
		*(str++) = 'b';
		*(str++) = 'm';
		*(str++) = 'p';

		puts(argv[i]);
		SDL_SaveBMP(image, argv[i]);
	}


	// I
	End();

	return 0;
}

// 
bool Init()
{
	// SDL̏
	if( SDL_Init( SDL_INIT_VIDEO ) < 0 )return false;

	// LvV̐ݒ
	SDL_WM_SetCaption( GAME_CAPTION, NULL );

	// EBhȄ
	gScreenSurface = SDL_SetVideoMode(
		SCREEN_WIDTH,
		SCREEN_HEIGHT,
		SCREEN_BPP,
		SDL_HWPALETTE|SDL_HWSURFACE
		);



	// }EXJ[\ꍇ
	// SDL_ShowCursor(SDL_DISABLE );
	
	return true;
}

// I
void End()
{
	// SDL̏I
	SDL_Quit();
}


void SetNesTable() {

colors[0].r = 120;
colors[0].g = 120;
colors[0].b = 120;
colors[1].r = 32;
colors[1].g = 0;
colors[1].b = 176;
colors[2].r = 40;
colors[2].g = 0;
colors[2].b = 184;
colors[3].r = 96;
colors[3].g = 16;
colors[3].b = 160;
colors[4].r = 152;
colors[4].g = 32;
colors[4].b = 120;
colors[5].r = 176;
colors[5].g = 16;
colors[5].b = 48;
colors[6].r = 160;
colors[6].g = 48;
colors[6].b = 0;
colors[7].r = 120;
colors[7].g = 64;
colors[7].b = 0;
colors[8].r = 72;
colors[8].g = 88;
colors[8].b = 0;
colors[9].r = 56;
colors[9].g = 104;
colors[9].b = 0;
colors[10].r = 56;
colors[10].g = 108;
colors[10].b = 0;
colors[11].r = 48;
colors[11].g = 96;
colors[11].b = 64;
colors[12].r = 48;
colors[12].g = 80;
colors[12].b = 128;
colors[13].r = 0;
colors[13].g = 0;
colors[13].b = 0;
colors[14].r = 0;
colors[14].g = 0;
colors[14].b = 0;
colors[15].r = 0;
colors[15].g = 0;
colors[15].b = 0;
colors[16].r = 176;
colors[16].g = 176;
colors[16].b = 176;
colors[17].r = 64;
colors[17].g = 96;
colors[17].b = 248;
colors[18].r = 64;
colors[18].g = 64;
colors[18].b = 255;
colors[19].r = 144;
colors[19].g = 64;
colors[19].b = 240;
colors[20].r = 216;
colors[20].g = 64;
colors[20].b = 192;
colors[21].r = 216;
colors[21].g = 64;
colors[21].b = 96;
colors[22].r = 224;
colors[22].g = 80;
colors[22].b = 0;
colors[23].r = 192;
colors[23].g = 112;
colors[23].b = 0;
colors[24].r = 136;
colors[24].g = 136;
colors[24].b = 0;
colors[25].r = 80;
colors[25].g = 160;
colors[25].b = 0;
colors[26].r = 72;
colors[26].g = 168;
colors[26].b = 16;
colors[27].r = 72;
colors[27].g = 160;
colors[27].b = 104;
colors[28].r = 64;
colors[28].g = 144;
colors[28].b = 192;
colors[29].r = 0;
colors[29].g = 0;
colors[29].b = 0;
colors[30].r = 0;
colors[30].g = 0;
colors[30].b = 0;
colors[31].r = 0;
colors[31].g = 0;
colors[31].b = 0;
colors[32].r = 232;
colors[32].g = 232;
colors[32].b = 232;
colors[33].r = 96;
colors[33].g = 160;
colors[33].b = 255;
colors[34].r = 80;
colors[34].g = 128;
colors[34].b = 255;
colors[35].r = 160;
colors[35].g = 112;
colors[35].b = 255;
colors[36].r = 240;
colors[36].g = 96;
colors[36].b = 255;
colors[37].r = 255;
colors[37].g = 96;
colors[37].b = 176;
colors[38].r = 255;
colors[38].g = 120;
colors[38].b = 48;
colors[39].r = 255;
colors[39].g = 160;
colors[39].b = 0;
colors[40].r = 232;
colors[40].g = 208;
colors[40].b = 32;
colors[41].r = 152;
colors[41].g = 232;
colors[41].b = 0;
colors[42].r = 112;
colors[42].g = 240;
colors[42].b = 64;
colors[43].r = 112;
colors[43].g = 224;
colors[43].b = 144;
colors[44].r = 96;
colors[44].g = 208;
colors[44].b = 224;
colors[45].r = 120;
colors[45].g = 120;
colors[45].b = 120;
colors[46].r = 0;
colors[46].g = 0;
colors[46].b = 0;
colors[47].r = 0;
colors[47].g = 0;
colors[47].b = 0;
colors[48].r = 255;
colors[48].g = 255;
colors[48].b = 255;
colors[49].r = 144;
colors[49].g = 208;
colors[49].b = 255;
colors[50].r = 160;
colors[50].g = 184;
colors[50].b = 255;
colors[51].r = 192;
colors[51].g = 176;
colors[51].b = 255;
colors[52].r = 224;
colors[52].g = 176;
colors[52].b = 255;
colors[53].r = 255;
colors[53].g = 184;
colors[53].b = 232;
colors[54].r = 255;
colors[54].g = 200;
colors[54].b = 184;
colors[55].r = 255;
colors[55].g = 216;
colors[55].b = 160;
colors[56].r = 255;
colors[56].g = 240;
colors[56].b = 144;
colors[57].r = 200;
colors[57].g = 240;
colors[57].b = 128;
colors[58].r = 160;
colors[58].g = 240;
colors[58].b = 160;
colors[59].r = 160;
colors[59].g = 255;
colors[59].b = 200;
colors[60].r = 160;
colors[60].g = 255;
colors[60].b = 240;
colors[61].r = 160;
colors[61].g = 160;
colors[61].b = 160;
colors[62].r = 0;
colors[62].g = 0;
colors[62].b = 0;
colors[63].r = 0;
colors[63].g = 0;
colors[63].b = 0;
colors[64].r = 0;
colors[64].g = 0;
colors[64].b = 0;
colors[65].r = 0;
colors[65].g = 0;
colors[65].b = 0;
colors[66].r = 0;
colors[66].g = 0;
colors[66].b = 0;
colors[67].r = 0;
colors[67].g = 0;
colors[67].b = 0;
colors[68].r = 0;
colors[68].g = 0;
colors[68].b = 0;
colors[69].r = 0;
colors[69].g = 0;
colors[69].b = 0;
colors[70].r = 0;
colors[70].g = 0;
colors[70].b = 0;
colors[71].r = 0;
colors[71].g = 0;
colors[71].b = 0;
colors[72].r = 0;
colors[72].g = 0;
colors[72].b = 0;
colors[73].r = 0;
colors[73].g = 0;
colors[73].b = 0;
colors[74].r = 0;
colors[74].g = 0;
colors[74].b = 0;
colors[75].r = 0;
colors[75].g = 0;
colors[75].b = 0;
colors[76].r = 0;
colors[76].g = 0;
colors[76].b = 0;
colors[77].r = 0;
colors[77].g = 0;
colors[77].b = 0;
colors[78].r = 0;
colors[78].g = 0;
colors[78].b = 0;
colors[79].r = 0;
colors[79].g = 0;
colors[79].b = 0;
colors[80].r = 0;
colors[80].g = 0;
colors[80].b = 0;
colors[81].r = 0;
colors[81].g = 0;
colors[81].b = 0;
colors[82].r = 0;
colors[82].g = 0;
colors[82].b = 0;
colors[83].r = 0;
colors[83].g = 0;
colors[83].b = 0;
colors[84].r = 0;
colors[84].g = 0;
colors[84].b = 0;
colors[85].r = 0;
colors[85].g = 0;
colors[85].b = 0;
colors[86].r = 0;
colors[86].g = 0;
colors[86].b = 0;
colors[87].r = 0;
colors[87].g = 0;
colors[87].b = 0;
colors[88].r = 0;
colors[88].g = 0;
colors[88].b = 0;
colors[89].r = 0;
colors[89].g = 0;
colors[89].b = 0;
colors[90].r = 0;
colors[90].g = 0;
colors[90].b = 0;
colors[91].r = 0;
colors[91].g = 0;
colors[91].b = 0;
colors[92].r = 0;
colors[92].g = 0;
colors[92].b = 0;
colors[93].r = 0;
colors[93].g = 0;
colors[93].b = 0;
colors[94].r = 0;
colors[94].g = 0;
colors[94].b = 0;
colors[95].r = 0;
colors[95].g = 0;
colors[95].b = 0;
colors[96].r = 0;
colors[96].g = 0;
colors[96].b = 0;
colors[97].r = 0;
colors[97].g = 0;
colors[97].b = 0;
colors[98].r = 0;
colors[98].g = 0;
colors[98].b = 0;
colors[99].r = 0;
colors[99].g = 0;
colors[99].b = 0;
colors[100].r = 0;
colors[100].g = 0;
colors[100].b = 0;
colors[101].r = 0;
colors[101].g = 0;
colors[101].b = 0;
colors[102].r = 0;
colors[102].g = 0;
colors[102].b = 0;
colors[103].r = 0;
colors[103].g = 0;
colors[103].b = 0;
colors[104].r = 0;
colors[104].g = 0;
colors[104].b = 0;
colors[105].r = 0;
colors[105].g = 0;
colors[105].b = 0;
colors[106].r = 0;
colors[106].g = 0;
colors[106].b = 0;
colors[107].r = 0;
colors[107].g = 0;
colors[107].b = 0;
colors[108].r = 0;
colors[108].g = 0;
colors[108].b = 0;
colors[109].r = 0;
colors[109].g = 0;
colors[109].b = 0;
colors[110].r = 0;
colors[110].g = 0;
colors[110].b = 0;
colors[111].r = 0;
colors[111].g = 0;
colors[111].b = 0;
colors[112].r = 0;
colors[112].g = 0;
colors[112].b = 0;
colors[113].r = 0;
colors[113].g = 0;
colors[113].b = 0;
colors[114].r = 0;
colors[114].g = 0;
colors[114].b = 0;
colors[115].r = 0;
colors[115].g = 0;
colors[115].b = 0;
colors[116].r = 0;
colors[116].g = 0;
colors[116].b = 0;
colors[117].r = 0;
colors[117].g = 0;
colors[117].b = 0;
colors[118].r = 0;
colors[118].g = 0;
colors[118].b = 0;
colors[119].r = 0;
colors[119].g = 0;
colors[119].b = 0;
colors[120].r = 0;
colors[120].g = 0;
colors[120].b = 0;
colors[121].r = 0;
colors[121].g = 0;
colors[121].b = 0;
colors[122].r = 0;
colors[122].g = 0;
colors[122].b = 0;
colors[123].r = 0;
colors[123].g = 0;
colors[123].b = 0;
colors[124].r = 0;
colors[124].g = 0;
colors[124].b = 0;
colors[125].r = 0;
colors[125].g = 0;
colors[125].b = 0;
colors[126].r = 0;
colors[126].g = 0;
colors[126].b = 0;
colors[127].r = 0;
colors[127].g = 0;
colors[127].b = 0;
colors[128].r = 0;
colors[128].g = 0;
colors[128].b = 0;
colors[129].r = 0;
colors[129].g = 0;
colors[129].b = 0;
colors[130].r = 0;
colors[130].g = 0;
colors[130].b = 0;
colors[131].r = 0;
colors[131].g = 0;
colors[131].b = 0;
colors[132].r = 0;
colors[132].g = 0;
colors[132].b = 0;
colors[133].r = 0;
colors[133].g = 0;
colors[133].b = 0;
colors[134].r = 0;
colors[134].g = 0;
colors[134].b = 0;
colors[135].r = 0;
colors[135].g = 0;
colors[135].b = 0;
colors[136].r = 0;
colors[136].g = 0;
colors[136].b = 0;
colors[137].r = 0;
colors[137].g = 0;
colors[137].b = 0;
colors[138].r = 0;
colors[138].g = 0;
colors[138].b = 0;
colors[139].r = 0;
colors[139].g = 0;
colors[139].b = 0;
colors[140].r = 0;
colors[140].g = 0;
colors[140].b = 0;
colors[141].r = 0;
colors[141].g = 0;
colors[141].b = 0;
colors[142].r = 0;
colors[142].g = 0;
colors[142].b = 0;
colors[143].r = 0;
colors[143].g = 0;
colors[143].b = 0;
colors[144].r = 0;
colors[144].g = 0;
colors[144].b = 0;
colors[145].r = 0;
colors[145].g = 0;
colors[145].b = 0;
colors[146].r = 0;
colors[146].g = 0;
colors[146].b = 0;
colors[147].r = 0;
colors[147].g = 0;
colors[147].b = 0;
colors[148].r = 0;
colors[148].g = 0;
colors[148].b = 0;
colors[149].r = 0;
colors[149].g = 0;
colors[149].b = 0;
colors[150].r = 0;
colors[150].g = 0;
colors[150].b = 0;
colors[151].r = 0;
colors[151].g = 0;
colors[151].b = 0;
colors[152].r = 0;
colors[152].g = 0;
colors[152].b = 0;
colors[153].r = 0;
colors[153].g = 0;
colors[153].b = 0;
colors[154].r = 0;
colors[154].g = 0;
colors[154].b = 0;
colors[155].r = 0;
colors[155].g = 0;
colors[155].b = 0;
colors[156].r = 0;
colors[156].g = 0;
colors[156].b = 0;
colors[157].r = 0;
colors[157].g = 0;
colors[157].b = 0;
colors[158].r = 0;
colors[158].g = 0;
colors[158].b = 0;
colors[159].r = 0;
colors[159].g = 0;
colors[159].b = 0;
colors[160].r = 0;
colors[160].g = 0;
colors[160].b = 0;
colors[161].r = 0;
colors[161].g = 0;
colors[161].b = 0;
colors[162].r = 0;
colors[162].g = 0;
colors[162].b = 0;
colors[163].r = 0;
colors[163].g = 0;
colors[163].b = 0;
colors[164].r = 0;
colors[164].g = 0;
colors[164].b = 0;
colors[165].r = 0;
colors[165].g = 0;
colors[165].b = 0;
colors[166].r = 0;
colors[166].g = 0;
colors[166].b = 0;
colors[167].r = 0;
colors[167].g = 0;
colors[167].b = 0;
colors[168].r = 0;
colors[168].g = 0;
colors[168].b = 0;
colors[169].r = 0;
colors[169].g = 0;
colors[169].b = 0;
colors[170].r = 0;
colors[170].g = 0;
colors[170].b = 0;
colors[171].r = 0;
colors[171].g = 0;
colors[171].b = 0;
colors[172].r = 0;
colors[172].g = 0;
colors[172].b = 0;
colors[173].r = 0;
colors[173].g = 0;
colors[173].b = 0;
colors[174].r = 0;
colors[174].g = 0;
colors[174].b = 0;
colors[175].r = 0;
colors[175].g = 0;
colors[175].b = 0;
colors[176].r = 0;
colors[176].g = 0;
colors[176].b = 0;
colors[177].r = 0;
colors[177].g = 0;
colors[177].b = 0;
colors[178].r = 0;
colors[178].g = 0;
colors[178].b = 0;
colors[179].r = 0;
colors[179].g = 0;
colors[179].b = 0;
colors[180].r = 0;
colors[180].g = 0;
colors[180].b = 0;
colors[181].r = 0;
colors[181].g = 0;
colors[181].b = 0;
colors[182].r = 0;
colors[182].g = 0;
colors[182].b = 0;
colors[183].r = 0;
colors[183].g = 0;
colors[183].b = 0;
colors[184].r = 0;
colors[184].g = 0;
colors[184].b = 0;
colors[185].r = 0;
colors[185].g = 0;
colors[185].b = 0;
colors[186].r = 0;
colors[186].g = 0;
colors[186].b = 0;
colors[187].r = 0;
colors[187].g = 0;
colors[187].b = 0;
colors[188].r = 0;
colors[188].g = 0;
colors[188].b = 0;
colors[189].r = 0;
colors[189].g = 0;
colors[189].b = 0;
colors[190].r = 0;
colors[190].g = 0;
colors[190].b = 0;
colors[191].r = 0;
colors[191].g = 0;
colors[191].b = 0;
colors[192].r = 0;
colors[192].g = 0;
colors[192].b = 0;
colors[193].r = 0;
colors[193].g = 0;
colors[193].b = 0;
colors[194].r = 0;
colors[194].g = 0;
colors[194].b = 0;
colors[195].r = 0;
colors[195].g = 0;
colors[195].b = 0;
colors[196].r = 0;
colors[196].g = 0;
colors[196].b = 0;
colors[197].r = 0;
colors[197].g = 0;
colors[197].b = 0;
colors[198].r = 0;
colors[198].g = 0;
colors[198].b = 0;
colors[199].r = 0;
colors[199].g = 0;
colors[199].b = 0;
colors[200].r = 0;
colors[200].g = 0;
colors[200].b = 0;
colors[201].r = 0;
colors[201].g = 0;
colors[201].b = 0;
colors[202].r = 0;
colors[202].g = 0;
colors[202].b = 0;
colors[203].r = 0;
colors[203].g = 0;
colors[203].b = 0;
colors[204].r = 0;
colors[204].g = 0;
colors[204].b = 0;
colors[205].r = 0;
colors[205].g = 0;
colors[205].b = 0;
colors[206].r = 0;
colors[206].g = 0;
colors[206].b = 0;
colors[207].r = 0;
colors[207].g = 0;
colors[207].b = 0;
colors[208].r = 0;
colors[208].g = 0;
colors[208].b = 0;
colors[209].r = 0;
colors[209].g = 0;
colors[209].b = 0;
colors[210].r = 0;
colors[210].g = 0;
colors[210].b = 0;
colors[211].r = 0;
colors[211].g = 0;
colors[211].b = 0;
colors[212].r = 0;
colors[212].g = 0;
colors[212].b = 0;
colors[213].r = 0;
colors[213].g = 0;
colors[213].b = 0;
colors[214].r = 0;
colors[214].g = 0;
colors[214].b = 0;
colors[215].r = 0;
colors[215].g = 0;
colors[215].b = 0;
colors[216].r = 0;
colors[216].g = 0;
colors[216].b = 0;
colors[217].r = 0;
colors[217].g = 0;
colors[217].b = 0;
colors[218].r = 0;
colors[218].g = 0;
colors[218].b = 0;
colors[219].r = 0;
colors[219].g = 0;
colors[219].b = 0;
colors[220].r = 0;
colors[220].g = 0;
colors[220].b = 0;
colors[221].r = 0;
colors[221].g = 0;
colors[221].b = 0;
colors[222].r = 0;
colors[222].g = 0;
colors[222].b = 0;
colors[223].r = 0;
colors[223].g = 0;
colors[223].b = 0;
colors[224].r = 0;
colors[224].g = 0;
colors[224].b = 0;
colors[225].r = 0;
colors[225].g = 0;
colors[225].b = 0;
colors[226].r = 0;
colors[226].g = 0;
colors[226].b = 0;
colors[227].r = 0;
colors[227].g = 0;
colors[227].b = 0;
colors[228].r = 0;
colors[228].g = 0;
colors[228].b = 0;
colors[229].r = 0;
colors[229].g = 0;
colors[229].b = 0;
colors[230].r = 0;
colors[230].g = 0;
colors[230].b = 0;
colors[231].r = 0;
colors[231].g = 0;
colors[231].b = 0;
colors[232].r = 0;
colors[232].g = 0;
colors[232].b = 0;
colors[233].r = 0;
colors[233].g = 0;
colors[233].b = 0;
colors[234].r = 0;
colors[234].g = 0;
colors[234].b = 0;
colors[235].r = 0;
colors[235].g = 0;
colors[235].b = 0;
colors[236].r = 0;
colors[236].g = 0;
colors[236].b = 0;
colors[237].r = 0;
colors[237].g = 0;
colors[237].b = 0;
colors[238].r = 0;
colors[238].g = 0;
colors[238].b = 0;
colors[239].r = 0;
colors[239].g = 0;
colors[239].b = 0;
colors[240].r = 0;
colors[240].g = 0;
colors[240].b = 0;
colors[241].r = 0;
colors[241].g = 0;
colors[241].b = 0;
colors[242].r = 0;
colors[242].g = 0;
colors[242].b = 0;
colors[243].r = 0;
colors[243].g = 0;
colors[243].b = 0;
colors[244].r = 0;
colors[244].g = 0;
colors[244].b = 0;
colors[245].r = 0;
colors[245].g = 0;
colors[245].b = 0;
colors[246].r = 0;
colors[246].g = 0;
colors[246].b = 0;
colors[247].r = 0;
colors[247].g = 0;
colors[247].b = 0;
colors[248].r = 0;
colors[248].g = 0;
colors[248].b = 0;
colors[249].r = 0;
colors[249].g = 0;
colors[249].b = 0;
colors[250].r = 0;
colors[250].g = 0;
colors[250].b = 0;
colors[251].r = 0;
colors[251].g = 0;
colors[251].b = 0;
colors[252].r = 0;
colors[252].g = 0;
colors[252].b = 0;
colors[253].r = 0;
colors[253].g = 0;
colors[253].b = 0;
colors[254].r = 0;
colors[254].g = 0;
colors[254].b = 0;
colors[255].r = 0;
colors[255].g = 0;
colors[255].b = 0;

}
